Package org.apache.jmeter.report.processor

# Class SampleContext

java.lang.Object
org.apache.jmeter.report.processor.SampleContext

public class SampleContext extends Object
Defines the context in which `SampleConsumer`, `SampleProducer` will operate

Since:
  3.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SampleContext()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final Map<String,Object>`
  `getData()`
  Gets the data storage.
  `final File`
  `getWorkingDirectory()`
  Return the root directory that consumers are authorized to use for intermediate work.
  SampleConsumers are encourage to create their own work directories beneath this root work directory
  `final void`
  `setWorkingDirectory(File workingDirectory)`
  Sets the work directory.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SampleContext

    public SampleContext()

- ## Method Details

  - ### getWorkingDirectory

    public final File getWorkingDirectory()
    Return the root directory that consumers are authorized to use for intermediate work.
    SampleConsumers are encourage to create their own work directories beneath this root work directory
    Returns:
      A file pointing to an existing directory

  - ### setWorkingDirectory

    public final void setWorkingDirectory(File workingDirectory)
    Sets the work directory.
    Parameters:
      `workingDirectory` - the new working directory

  - ### getData

    public final Map<String,Object> getData()
    Gets the data storage.
    Returns:
      the data